import React from 'react';
import { useDayPicker } from '../../hooks';
import { UIElement as UI } from '../../types';
/** A component rendering the navigation buttons or the drop-downs. */
export function Navigation(props) {
    var _a;
    var _b = useDayPicker(), dir = _b.dir, locale = _b.locale, classNames = _b.classNames, styles = _b.styles, _c = _b.labels, labelPrevious = _c.labelPrevious, labelNext = _c.labelNext, _d = _b.components, IconNext = _d.IconNext, IconPrevious = _d.IconPrevious;
    var onPreviousClick = props.onPreviousClick, onNextClick = props.onNextClick;
    if (dir === 'rtl') {
        _a = [onPreviousClick, onNextClick], onNextClick = _a[0], onPreviousClick = _a[1];
    }
    var previousLabel = labelPrevious(props.displayMonth, { locale: locale });
    var previousClassName = [
        classNames[UI.NavButton],
        classNames[UI.NavButtonPrev]
    ].join(' ');
    var nextLabel = labelNext(props.displayMonth, { locale: locale });
    var nextClassName = [
        classNames[UI.NavButton],
        classNames[UI.NavButtonPrev]
    ].join(' ');
    var previousButton = (React.createElement("button", { key: "prev", "aria-label": previousLabel, className: previousClassName, style: styles[UI.NavButtonPrev], disabled: props.disablePrevious, onClick: onPreviousClick },
        React.createElement(IconPrevious, { className: classNames[UI.NavIcon], style: styles[UI.NavIcon] })));
    var nextButton = (React.createElement("button", { key: "next", "aria-label": nextLabel, className: nextClassName, disabled: props.disableNext, onClick: onNextClick, style: styles[UI.NavButtonNext] },
        React.createElement(IconNext, { className: classNames[UI.NavIcon], style: styles[UI.NavIcon] })));
    if (props.disableNext && props.disablePrevious) {
        return React.createElement(React.Fragment, null);
    }
    return (React.createElement("div", { className: classNames[UI.Nav], style: styles[UI.Nav] },
        !props.hidePrevious && previousButton,
        !props.hideNext && nextButton));
}
//# sourceMappingURL=Navigation.js.map